/fuel-pump-inventories-payment-methods-delete-one¶
Summary¶
Source repository:
jef-systems/jef-fuel-pump-inventories-backendSource SHA:
06a517c1413d99627ecd462c7e29779b2dfd2412Source run id:
25888952968Lambda function:
jef-fuel-pump-inventories-payment-methods-delete-oneHTTP method:
DELETEAPI path:
/fuel-pump-inventories-payment-methods-delete-oneEndpoint URL:
https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-payment-methods-delete-onePayload mode:
json-body
Description¶
Function: jef-fuel-pump-inventories-payment-methods-delete-oneModule: jef-fuel-pump-inventoriesAction: delete-oneMethod: DELETEInvocation Mode: ASYNCResource Path: /fuel-pump-inventories-payment-methods-delete-oneTable: jef-fuel-pump-inventories-payment-methodsPrimary Key: payment_method_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
payment\_method\_id: 85dee342-5c78-445d-822a-87185691987a
Payload Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.payment_method_id.type",
"value": "S"
},
{
"key": "root.attributes.payment_method_id.required",
"value": "True"
},
{
"key": "root.attributes.payment_method_id.format",
"value": "uuidv4"
},
{
"key": "root.attributes.payment_method_id.regex",
"value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
]
Response Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
Request Payload¶
[
{
"key": "payment_method_id",
"value": "85dee342-5c78-445d-822a-87185691987a"
}
]
Response¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
CMD curl¶
curl -X DELETE "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-payment-methods-delete-one" -H "Content-Type: application/json" --data-raw "{\"payment_method_id\": \"85dee342-5c78-445d-822a-87185691987a\"}"
PowerShell curl¶
curl.exe -X DELETE "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-payment-methods-delete-one" -H "Content-Type: application/json" --data-raw '{"payment_method_id": "85dee342-5c78-445d-822a-87185691987a"}'